Bug 1410746 - [RFE] List of fields to use in a search
Summary: [RFE] List of fields to use in a search
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Jitendra Yejare
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1309791
TreeView+ depends on / blocked
 
Reported: 2017-01-06 10:34 UTC by Stephen Wadeley
Modified: 2019-11-05 23:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verified - Search Fileds List (44.90 KB, image/png)
2018-08-10 07:38 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 17964 None None None 2017-01-06 11:15:59 UTC

Description Stephen Wadeley 2017-01-06 10:34:45 UTC
Description of problem:

Please add a list of fields to use in a search to the builtin API doc.

I would like to link to such information from the API Guide.

Comment 1 Tomas Strachota 2017-01-06 11:08:56 UTC
There's currently no way of listing the fields to search in neither API nor UI. Web UI compensates the problem with search query completion.

It definitely makes sense to extend apidoc with such information. It should be then re-used with hammer cli too.

Comment 3 Tomas Strachota 2017-01-06 11:15:57 UTC
Created redmine issue http://projects.theforeman.org/issues/17964 from this bug

Comment 4 Bryan Kearney 2017-03-20 16:47:25 UTC
Will not hit 6.3, moving out.

Comment 6 pm-sat@redhat.com 2017-08-10 10:05:53 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 7 pm-sat@redhat.com 2017-08-10 10:05:58 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 8 pm-sat@redhat.com 2018-01-29 15:05:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17964 has been resolved.

Comment 10 Jitendra Yejare 2018-08-10 07:38:21 UTC
Created attachment 1474902 [details]
Verified - Search Fileds List

Verified!

@ Satellite 6.4 snap 16

Steps:

1. Go through entities in Satellite APIDOC page.


Behavior:

The list of fields to be used inside search queries is shown inside GET for applicable entities. The screenshot is attached for GET host lists with search fields.



Note:

The behavior is not seen from the CLI hammer command and if thats the intend please feel free to reopen this bug.

Comment 12 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.